This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1465610 - resolved: an out-of-bounds write
resolved: an out-of-bounds write
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
AcceptedFreezeException
:
: 1465728 (view as bug list)
Depends On:
Blocks: F26FinalFreezeException CVE-2017-9445
  Show dependency treegraph
 
Reported: 2017-06-27 14:18 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2017-07-02 22:19 EDT (History)
11 users (show)

See Also:
Fixed In Version: systemd-233-6.fc26 systemd-231-17.fc25 systemd-229-22.fc24
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 19:29:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2017-06-27 14:18:40 EDT
Description of problem:
CVE-2017-9445
Comment 1 Fedora Update System 2017-06-27 20:18:25 EDT
systemd-233-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-956e27bdd6
Comment 2 Fedora Update System 2017-06-27 20:18:36 EDT
systemd-231-17.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29d909f5ec
Comment 3 Fedora Update System 2017-06-27 20:18:43 EDT
systemd-229-22.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-72f0c1ea9c
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-06-27 20:19:05 EDT
https://github.com/systemd/systemd/pull/6214
Comment 5 Fedora Blocker Bugs Application 2017-06-27 20:24:54 EDT
Proposed as a Freeze Exception for 26-final by Fedora user zbyszek using the blocker tracking app because:

 It is a fix for a security vulnerability which would put the installed system at risk before updates are applied. It only applies when systemd-resolved is used (which is not the default), but some custom configuration do use it, and I would prefer the official image not to contain the vulnerability.
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-06-28 09:02:22 EDT
*** Bug 1465728 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2017-06-28 15:20:37 EDT
systemd-233-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-956e27bdd6
Comment 8 Fedora Update System 2017-06-28 17:51:22 EDT
systemd-229-22.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72f0c1ea9c
Comment 9 Fedora Update System 2017-06-28 17:53:14 EDT
systemd-231-17.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29d909f5ec
Comment 10 Adam Williamson 2017-06-29 15:35:00 EDT
Discussed at 2017-06-29 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-06-29/f26-blocker-review.2017-06-29-16.00.html . Accepted as a freeze exception as a significant security vulnerability. Note, we will be checking to ensure the update *only* fixes the security vulnerability, as we're not inclined to accept other changes to systemd this late in the game.
Comment 11 Fedora Update System 2017-06-29 19:29:03 EDT
systemd-233-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-06-29 20:49:55 EDT
systemd-231-17.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-07-02 22:19:10 EDT
systemd-229-22.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.